Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.borg.model
Enum LinkModel.LinkType

    java.lang.Object
      java.lang.Enum<LinkModel.LinkType>
          net.sf.borg.model.LinkModel.LinkType

All Implemented Interfaces:
  Serializable, Comparable<LinkModel.LinkType>

Enclosing class:
  LinkModel

    public static enum LinkModel.LinkType

extends Enum<LinkModel.LinkType>

LinkType holds the various link types. The string values are for legacy reasons

Enum Constant Summary
`ADDRESS`
`APPOINTMENT`
`ATTACHMENT`
`FILELINK`
`MEMO`
`PROJECT`
`TASK`
`URL`

Method Summary
`String` | `toString()`
`static LinkModel.LinkType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LinkModel.LinkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FILELINK

    public static final LinkModel.LinkType FILELINK

### ATTACHMENT

    public static final LinkModel.LinkType ATTACHMENT

### URL

    public static final LinkModel.LinkType URL

### APPOINTMENT

    public static final LinkModel.LinkType APPOINTMENT

### MEMO

    public static final LinkModel.LinkType MEMO

### PROJECT

    public static final LinkModel.LinkType PROJECT

### TASK

    public static final LinkModel.LinkType TASK

### ADDRESS

    public static final LinkModel.LinkType ADDRESS

Method Detail

### values

    public static LinkModel.LinkType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LinkModel.LinkType c : LinkModel.LinkType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LinkModel.LinkType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<LinkModel.LinkType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic